## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-storage

Name:           python-%{srcname}
Version:        2.14.0
Release:        %autorelease
Summary:        Python Client for Google Cloud Storage

License:        Apache-2.0
URL:            https://github.com/googleapis/python-storage
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Storage allows you to store data on Google infrastructure with
very high reliability, performance and availability, and can be used to
distribute large data objects to users via direct download.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n python-storage-%{version} -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit \
        -k "not test_create_bucket_w_custom_endpoint \
            and not test_ctor_w_custom_endpoint_use_auth \
            and not test_list_buckets_w_custom_endpoint \
            and not test_seek_fails \
            and not test_downloads_w_client_custom_headers"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2.14.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 2.14.0-2
- Skip import check, remove nspkg file

* Tue Dec 12 2023 Packit <hello@packit.dev> - 2.14.0-1
- [packit] 2.14.0 upstream release
- Resolves rhbz#2253573

* Wed Nov 01 2023 Major Hayden <major@redhat.com> - 2.13.0-3
- Do bodhi updates

* Wed Nov 01 2023 Major Hayden <major@redhat.com> - 2.13.0-2
- Skip downloads test

* Tue Oct 31 2023 Packit <hello@packit.dev> - 2.13.0-1
- [packit] 2.13.0 upstream release
- Resolves rhbz#2247298

* Thu Oct 12 2023 Packit <hello@packit.dev> - 2.12.0-1
- [packit] 2.12.0 upstream release

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 2.11.0-1
- Update to 2.11.0

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 2.10.0-5
- Allow packit to do koji builds

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.10.0-3
- Skip one test for Py3.12 rhbz#2220261

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.10.0-2
- Bump revision number

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.10.0-1
- Update to 2.10.0 rhbz#2217664

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.9.0-2
- Rebuilt for Python 3.12

* Thu May 04 2023 Major Hayden <major@redhat.com> - 2.9.0-1
- Update to 2.9.0 rhbz#2193232

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 2.8.0-1
- Update to 2.8.0 rhbz#2182904

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 2.7.0-5
- Set SPDX license

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.7.0-4
- Get tests working again

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.7.0-3
- Disable tests temporarily to fix FTBFS

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 2.7.0-1
- Update to 2.7.0 rhbz#2151401

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 2.6.0-1
- Update to 2.6.0 rhbz#2140864

* Wed Aug 03 2022 Major Hayden <major@redhat.com> - 2.5.0-1
- Update to 2.5.0 rhbz#2114992

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 2.4.0-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.4.0-1
- Update to 2.4.0

* Fri Jun 03 2022 Major Hayden <major@redhat.com> - 2.3.0-2
- Add import check, remove mock patch

* Wed Apr 13 2022 Major Hayden <major@mhtx.net> - 2.3.0-1
- Update to 2.3.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 2.2.1-1
- 🚀 Update to 2.2.1

* Fri Jan 21 2022 Major Hayden <major@redhat.com> - 2.1.0-2
- Add sources for 2.1.0

* Fri Jan 21 2022 Major Hayden <major@redhat.com> - 2.1.0-1
- Update to 2.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Major Hayden <major@mhtx.net> - 2.0.0-2
- Uncomment unittest.mock patch

* Wed Jan 12 2022 Major Hayden <major@mhtx.net> - 2.0.0-1
- Update to 2.0.0

* Wed Jan 05 2022 Major Hayden <major@mhtx.net> - 1.44.0-1
- Update to 1.44.0

* Wed Nov 17 2021 Major Hayden <major@mhtx.net> - 1.43.0-1
- Update to 1.43.0

* Fri Oct 01 2021 Major Hayden <major@mhtx.net> - 1.42.3-2
- Remove python3-azure-sdk obsoletes from a bad copy/paste

* Fri Oct 01 2021 Major Hayden <major@mhtx.net> - 1.42.3-1
- Update to 1.42.3

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 1.42.2-3
- Add 1.42.2 sources

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 1.42.2-2
- Fix pytest/PEP 420 issue

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 1.42.2-1
- Update to 1.42.2

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 1.42.1-2
- Move to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1.42.1-1
- Update to 1.42.1

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.42.0-2
- Disable UTC timezone test temporarily

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.42.0-1
- Update to 1.4.2

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.41.0-1
- Initial import (#1983181)
## END: Generated by rpmautospec
